# Uses of Enum Class
org.apache.lucene.facet.FacetsConfig.DrillDownTermsIndexing

Packages that use FacetsConfig.DrillDownTermsIndexing
Package
Description
org.apache.lucene.facet
Faceted search.

- ## Uses of FacetsConfig.DrillDownTermsIndexing in org.apache.lucene.facet

  Fields in org.apache.lucene.facet declared as FacetsConfig.DrillDownTermsIndexing
  Modifier and Type
  Field
  Description
  `FacetsConfig.DrillDownTermsIndexing`
  FacetsConfig.DimConfig.`drillDownTermsIndexing`
  Default drill down terms indexing option that index all.
  Methods in org.apache.lucene.facet that return FacetsConfig.DrillDownTermsIndexing
  Modifier and Type
  Method
  Description
  `static FacetsConfig.DrillDownTermsIndexing`
  FacetsConfig.DrillDownTermsIndexing.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FacetsConfig.DrillDownTermsIndexing[]`
  FacetsConfig.DrillDownTermsIndexing.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.facet with parameters of type FacetsConfig.DrillDownTermsIndexing
  Modifier and Type
  Method
  Description
  `void`
  FacetsConfig.`setDrillDownTermsIndexing(String dimName, FacetsConfig.DrillDownTermsIndexing drillDownTermsIndexing)`
  Specify drill down terms option on the field / dimension.